image: python:latest

variables:
  GIT_SUBMODULE_STRATEGY: recursive

pages:
  stage: deploy
  only:
    - main
    - dev
  script:
    - pip install mkdocs-material python-markdown-math
    - mkdocs build --site-dir public
  artifacts:
    paths:
      - public

